=head1 NAME

Gtk2::Pango::AttrList

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::Pango::AttrList

=for object Gtk2::Pango::AttrList
=cut




=head1 METHODS

=head2 ($attr_list, $text, $accel_char) = Gtk2::Pango->B<parse_markup> ($markup_text, $accel_marker)

=over

=over

=item * $markup_text (string) 

=item * $accel_marker (character) 

=back

Parses marked-up text to create a plaintext string and an attribute list.

If I<$accel_marker> is supplied and nonzero, the given character will mark the
character following it as an accelerator.  For example, the accel marker might
be an ampersand or underscore.  All characters marked as an acclerator will
receive a PANGO_UNDERLINE_LOW attribute, and the first character so marked will
be returned in I<$accel_char>.  Two I<$accel_marker> characters following each
other reduce to a single literal I<$accel_marker> character.

May croak with a L<Glib::Error> in $@ on failure.

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

